#!/bin/ksh

#   *******************************************************************
#   * Licensed Materials - Property of IBM
#   * Tivoli Common Agent
#   * BTC
#   * (C) Copyright IBM Corp. 2003, 2004. All Rights Reserved
#   *
#   * US Government Users Restricted Rights - Use, duplication or
#   * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   *******************************************************************

# This program will be used to install GUID on solaris operating system.

copyfiles()
{

        mkdir -p ${DEST_GUID_DIR}
        cp -r ${SRC_GUID_DIR}/* ${DEST_GUID_DIR}

        ln -s ${DEST_GUID_DIR}/cs ${DEST_GUID_DIR}/cs_CZ
        ln -s ${DEST_GUID_DIR}/hu ${DEST_GUID_DIR}/hu_HU
        ln -s ${DEST_GUID_DIR}/ja ${DEST_GUID_DIR}/ja_JP
        ln -s ${DEST_GUID_DIR}/ja ${DEST_GUID_DIR}/ja_JP.eucJP
        ln -s ${DEST_GUID_DIR}/ja ${DEST_GUID_DIR}/japanese
        ln -s ${DEST_GUID_DIR}/ko ${DEST_GUID_DIR}/ko_KR
        ln -s ${DEST_GUID_DIR}/ko ${DEST_GUID_DIR}/ko_KR.EUC
        ln -s ${DEST_GUID_DIR}/ko ${DEST_GUID_DIR}/korean
        ln -s ${DEST_GUID_DIR}/pl ${DEST_GUID_DIR}/pl_PL
        ln -s ${DEST_GUID_DIR}/ru ${DEST_GUID_DIR}/ru_RU
        ln -s ${DEST_GUID_DIR}/zh_CN ${DEST_GUID_DIR}/chinese
        ln -s ${DEST_GUID_DIR}/zh_CN ${DEST_GUID_DIR}/zh
        ln -s ${DEST_GUID_DIR}/zh_CN ${DEST_GUID_DIR}/zh_CN.EUC
        ln -s ${DEST_GUID_DIR}/zh_TW ${DEST_GUID_DIR}/tchinese
        ln -s ${DEST_GUID_DIR}/zh_TW ${DEST_GUID_DIR}/zh_TW.EUC

}


PKG_INSTALL_ROOT=/

# PKG_INSTALL_ROOT is the target root file system where the
# package is being installed.
if [ "$PKG_INSTALL_ROOT" = "/" ]
  then
    PKG_INSTALL_ROOT=""
fi

BASEDIRWOROOT=/opt/tivoli/guid
INSTDIR=${BASEDIRWOROOT}
LINKDIR=$PKG_INSTALL_ROOT/usr/lib

DEST_GUID_DIR=${PKG_INSTALL_ROOT}${BASEDIRWOROOT}
SRC_GUID_DIR=solaris2/guid

if test -f ${BASEDIRWOROOT}/tivguid
then
    rm -rf ${BASEDIRWOROOT} 2> /dev/nul
    # ${BASEDIRWOROOT}/tivguid -Show 1>&2 > /dev/nul
    # if test $? == 0
    # then
    #    echo "Tivoli GUID has already installed at location $BASEDIRWOROOT."
    #    exit 0
    # fi
fi


copyfiles


# For relocatable installation checking if usr exist.
if [ ! -d $PKG_INSTALL_ROOT/usr ]
  then
    mkdir -m 0755 -p $LINKDIR
fi

#Creating symbolic links in $LINKDIR with relative path ...
rm -f ${LINKDIR}/libtivguid.so  
ln -s ${DEST_GUID_DIR}/libtivguid.so ${LINKDIR}/libtivguid.so

BUILDDATE=`cat ${SRC_GUID_DIR}/.buildDate`

find $INSTDIR -exec touch -ct $BUILDDATE {} \; 2>/dev/null

echo "\nCreating TIVOLI Global Unique Identifier ...\n"
${DEST_GUID_DIR}/tivguid -create
